Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528384 - Opening the Networks tab in nm-connection-editor hangs for 10 seconds
Summary: Opening the Networks tab in nm-connection-editor hangs for 10 seconds
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-11 19:16 UTC by Bernie Innocenti
Modified: 2015-03-03 22:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:43:11 UTC
Type: ---


Attachments (Terms of Use)

Description Bernie Innocenti 2009-10-11 19:16:05 UTC
When I open the connection editor and click on the Networks tab, the GUI freezes for about 10 seconds before presenting a list of networks. I see about 50 "Auto" networks in the list.

I'm using NetworkManager-gnome-0.7.996-4.git20091002.fc12.x86_64, but it's been doing this for several months.

Comment 1 Dan Williams 2009-11-07 02:20:05 UTC
what type of machine is this on?  Any chance you can really quickly gdb nm-connection-editor and find out where it's stuck at?

Comment 2 Bernie Innocenti 2009-11-07 05:44:07 UTC
Here are 3 backtraces captured in sequence while the connection editor window was still frozen. Hope it helps.


#0  0x00000030008daaf7 in mlock () from /lib64/libc.so.6
#1  0x000000301240ec67 in sec_acquire_pages (sz=<value optimized out>) at egg-secure-memory.c:801
#2  sec_block_create (sz=<value optimized out>) at egg-secure-memory.c:876
#3  egg_secure_alloc_full (sz=<value optimized out>) at egg-secure-memory.c:972
#4  0x00000030124093ce in gnome_keyring_memory_alloc (sz=<value optimized out>) at gnome-keyring-memory.c:132
#5  0x000000301240d142 in egg_buffer_init_full (buffer=0x7fffffffd2d0, reserve=128, allocator=0x3012409410 <gnome_keyring_memory_realloc>)
    at egg-buffer.c:48
#6  0x0000003012406e8c in gnome_keyring_find_items_sync (type=GNOME_KEYRING_ITEM_GENERIC_SECRET, attributes=0x75bee0, found=0x7fffffffd4c8)
    at gnome-keyring.c:1962
#7  0x00000030124072fc in gnome_keyring_find_itemsv_sync (type=GNOME_KEYRING_ITEM_GENERIC_SECRET, found=0x7fffffffd4c8) at gnome-keyring.c:2022
#8  0x00000000004378a4 in nm_gconf_migrate_0_7_keyring_items ()
#9  0x0000000000432893 in nm_gconf_get_all_connections ()
#10 0x000000000042bc86 in ?? ()
#11 0x000000000042bd93 in ?? ()
#12 0x000000300043922e in g_main_dispatch (context=<value optimized out>) at gmain.c:1960
#13 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#14 0x000000300043cc18 in g_main_context_iterate (context=0x693260, block=<value optimized out>, dispatch=<value optimized out>,
    self=<value optimized out>) at gmain.c:2591
#15 0x000000300043d065 in IA__g_main_loop_run (loop=0x6dfb50) at gmain.c:2799
#16 0x000000000041a668 in main ()


#0  0x00000030008d4a68 in poll () from /lib64/libc.so.6
#1  0x000000300043c9fc in g_main_context_poll (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>,
    timeout=<value optimized out>, context=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>, timeout=<value optimized out>,
    context=<value optimized out>) at gmain.c:2586
#3  0x000000300043cd3a in IA__g_main_context_iteration (context=0x780670, may_block=1) at gmain.c:2654
#4  0x000000300ec2c0bc in giop_recv_buffer_get (ent=0x7fffffffd120, timeout=0x7fffffffd15c) at giop-recv-buffer.c:727
#5  0x000000300ec309f0 in ORBit_small_invoke_stub (obj=0x7581c0, m_data=0x300f23d940, ret=<value optimized out>, args=0x7fffffffd1f0,
    ctx=<value optimized out>, ev=0x7fffffffd2a0) at orbit-small.c:660
#6  0x000000300f02cf9f in ConfigDatabase2_lookup_with_schema_name (_obj=<value optimized out>, key=
    0x7967c0 "/system/networking/connections/157/802-11-wireless-security/key-mgmt", locale=0x65af50 "es_PY.UTF-8", use_schema_default=1 '\001',
    schema_name=0x7fffffffd2d8, value_is_default=0x7fffffffd2ef "", value_is_writable=0x7fffffffd2ee "\001", ev=<value optimized out>)
    at GConfX-stubs.c:210
#7  0x000000300f0214b8 in gconf_engine_get_fuller (conf=0x7adf20, key=<value optimized out>, locale=0x65af50 "es_PY.UTF-8",
    use_schema_default=<value optimized out>, is_default_p=<value optimized out>, is_writable_p=<value optimized out>,
    schema_name_p=<value optimized out>, err=<value optimized out>) at gconf.c:1014
#8  0x000000300f02181c in gconf_engine_get_entry (conf=0x7adf20, key=
    0x7967c0 "/system/networking/connections/157/802-11-wireless-security/key-mgmt", locale=0x65af50 "es_PY.UTF-8", use_schema_default=1, err=
    0x7fffffffd3d8) at gconf.c:1117
#9  0x000000300f027c8e in get (client=0x7369e0 [GConfClient], key=0x7967c0 "/system/networking/connections/157/802-11-wireless-security/key-mgmt",
    use_default=1, error=0x7fffffffd3d8) at gconf-client.c:1279
#10 0x000000300f02904d in gconf_client_get_full (client=0x7369e0 [GConfClient], key=<value optimized out>, use_schema_default=<value optimized out>,
    err=0x0, locale=0x0) at gconf-client.c:1326
#11 0x0000000000433884 in nm_gconf_get_string_helper ()
#12 0x0000000000438924 in nm_gconf_migrate_0_7_wireless_security ()
#13 0x000000000043289b in nm_gconf_get_all_connections ()
#14 0x000000000042bc86 in ?? ()
#15 0x000000000042bd93 in ?? ()
#16 0x000000300043922e in g_main_dispatch (context=<value optimized out>) at gmain.c:1960
#17 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#18 0x000000300043cc18 in g_main_context_iterate (context=0x693260, block=<value optimized out>, dispatch=<value optimized out>,
    self=<value optimized out>) at gmain.c:2591
#19 0x000000300043d065 in IA__g_main_loop_run (loop=0x6dfb50) at gmain.c:2799
#20 0x000000000041a668 in main ()



#0  0x00000030008d4a68 in poll () from /lib64/libc.so.6
#1  0x000000300043c9fc in g_main_context_poll (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>,
    timeout=<value optimized out>, context=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (n_fds=<value optimized out>, fds=<value optimized out>, priority=<value optimized out>, timeout=<value optimized out>,
    context=<value optimized out>) at gmain.c:2586
#3  0x000000300043cd3a in IA__g_main_context_iteration (context=0x780670, may_block=1) at gmain.c:2654
#4  0x000000300ec2c0bc in giop_recv_buffer_get (ent=0x7fffffffd070, timeout=0x7fffffffd0ac) at giop-recv-buffer.c:727
#5  0x000000300ec309f0 in ORBit_small_invoke_stub (obj=0x7581c0, m_data=0x300f23d940, ret=<value optimized out>, args=0x7fffffffd140,
    ctx=<value optimized out>, ev=0x7fffffffd1f0) at orbit-small.c:660
#6  0x000000300f02cf9f in ConfigDatabase2_lookup_with_schema_name (_obj=<value optimized out>, key=
    0x8c1af0 "/system/networking/connections/81/802-11-wireless/ssid", locale=0x65af50 "es_PY.UTF-8", use_schema_default=1 '\001', schema_name=
    0x7fffffffd228, value_is_default=0x7fffffffd23f "", value_is_writable=0x7fffffffd23e "\001", ev=<value optimized out>) at GConfX-stubs.c:210
#7  0x000000300f0214b8 in gconf_engine_get_fuller (conf=0x7adf20, key=<value optimized out>, locale=0x65af50 "es_PY.UTF-8",
    use_schema_default=<value optimized out>, is_default_p=<value optimized out>, is_writable_p=<value optimized out>,
    schema_name_p=<value optimized out>, err=<value optimized out>) at gconf.c:1014
#8  0x000000300f02181c in gconf_engine_get_entry (conf=0x7adf20, key=0x8c1af0 "/system/networking/connections/81/802-11-wireless/ssid", locale=
    0x65af50 "es_PY.UTF-8", use_schema_default=1, err=0x7fffffffd328) at gconf.c:1117
#9  0x000000300f027c8e in get (client=0x7369e0 [GConfClient], key=0x8c1af0 "/system/networking/connections/81/802-11-wireless/ssid", use_default=1,
    error=0x7fffffffd328) at gconf-client.c:1279
#10 0x000000300f02904d in gconf_client_get_full (client=0x7369e0 [GConfClient], key=<value optimized out>, use_schema_default=<value optimized out>,
    err=0x0, locale=0x0) at gconf-client.c:1326
#11 0x000000000043505d in nm_gconf_get_bytearray_helper ()
#12 0x000000000043602e in ?? ()
#13 0x00007ffff7b7bb3b in nm_setting_enumerate_values () from /usr/lib64/libnm-util.so.1
#14 0x0000000000432740 in ?? ()
#15 0x0000003000457a9c in IA__g_slist_foreach (list=<value optimized out>, func=0x432700, user_data=0x7fffffffd4d0) at gslist.c:743
#16 0x0000000000432693 in nm_gconf_read_connection ()
#17 0x000000000043ad60 in nma_gconf_connection_new ()
#18 0x000000000042bca7 in ?? ()
#19 0x000000000042bd93 in ?? ()
#20 0x000000300043922e in g_main_dispatch (context=<value optimized out>) at gmain.c:1960
#21 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#22 0x000000300043cc18 in g_main_context_iterate (context=0x693260, block=<value optimized out>, dispatch=<value optimized out>,
    self=<value optimized out>) at gmain.c:2591
#23 0x000000300043d065 in IA__g_main_loop_run (loop=0x6dfb50) at gmain.c:2799
#24 0x000000000041a668 in main ()

Comment 3 Bug Zapper 2009-11-16 13:31:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dan Williams 2010-02-09 01:47:13 UTC
gnome-keyring appears to be having problems here...  over to it.

Comment 5 Bug Zapper 2010-11-04 09:31:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bernie Innocenti 2010-11-04 23:09:27 UTC
My new laptop is way faster, now it hangs for just 3 seconds. But it's still a performance bug.

Hopefully it will go away with the migration to dconf?

Comment 7 Fedora End Of Life 2012-08-16 20:43:13 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.